commit:     ef02a7e9149573d548e4f5e669047e80ea796134
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 25 10:33:14 2018 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Thu Oct 25 15:27:25 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef02a7e9

app-text/evince: bump to 3.28.5

Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>
Package-Manager: Portage-2.3.49, Repoman-2.3.11

 app-text/evince/Manifest             |  1 +
 app-text/evince/evince-3.28.5.ebuild | 99 ++++++++++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

diff --git a/app-text/evince/Manifest b/app-text/evince/Manifest
index d8e8590ad9b..2a23f70ad05 100644
--- a/app-text/evince/Manifest
+++ b/app-text/evince/Manifest
@@ -1,3 +1,4 @@
 DIST evince-3.24.2.tar.xz 3509216 BLAKE2B 
3bcb9e15a6576650d17d6ea1df638c4b16759ddd2353ca47b425c1fec04f90b85ff7f338472e5e18defc01ab066ef241eff40e8f493fa2238814933703636e7b
 SHA512 
77e099ff60188f982a49f5c8287eb2ed8d42402a15a54ccf8367b3814e7e16ba31354363d3f101117153792daa96f653f24bb06193b5e749d0ebfaac7d7c1e0f
 DIST evince-3.28.2.tar.xz 3379552 BLAKE2B 
64f77f2c19649f74291d34f6a0dfc49348d2a8e80cf2b37ef40b2c3bbfbd1198c40a47dd56ca6b04166e9981ebade3b8f74eeefa9234246968fd1e7fb4babcdd
 SHA512 
6deeefc5ed52d79627ae892b227bcf023c6ea45ac02c6a3a7c9fa1004f5da2e36051bfea73f6838cb8f9aed8cadfd145173a5d3b2be405f1d1f06bd4fdadae23
 DIST evince-3.28.4.tar.xz 2174604 BLAKE2B 
7f9bd298221d3b5b504e7cbaa6c8f99fa0ea54c418c92fef8be14a635a6ee20a33d1d4aac3af4a50af123e70de2bd22b80a3ed56ff8f7320b1d86629215af7af
 SHA512 
655cff393af4102782abc08a999d5d27314860a3dfbbdfceb443617d696bc02b5c60cf5af6395fa51c1c4e20d8443384de35f1e725947b1d6c862122efaa5257
+DIST evince-3.28.5.tar.xz 2196432 BLAKE2B 
992e37ad3cb82934efbdcd83afa89dc7589104045e828c6516650ee0a3fc89b99dff3fe0a723691e95adba9a5cf767a95ec18690697df15310437c7980ccbf55
 SHA512 
42fcf1396546f62910966b31bc657e5d3532a6bf32e87590b057efded1597de5765ed5c17ae98208a5dafca54da9c8e81f451e4133df656aaf4a9966da457bc3

diff --git a/app-text/evince/evince-3.28.5.ebuild 
b/app-text/evince/evince-3.28.5.ebuild
new file mode 100644
index 00000000000..84b26f36da4
--- /dev/null
+++ b/app-text/evince/evince-3.28.5.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2 systemd
+
+DESCRIPTION="Simple document viewer for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/Evince";
+
+LICENSE="GPL-2+ CC-BY-SA-3.0"
+# subslot = evd3.(suffix of libevdocument3)-evv3.(suffix of libevview3)
+SLOT="0/evd3.4-evv3.3"
+IUSE="djvu dvi gstreamer gnome gnome-keyring +introspection nautilus nsplugin 
+postscript t1lib tiff xps"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~x86-fbsd ~amd64-linux ~x86-linux ~x64-solaris"
+
+# atk used in libview
+# bundles unarr
+COMMON_DEPEND="
+       dev-libs/atk
+       >=dev-libs/glib-2.36:2[dbus]
+       >=dev-libs/libxml2-2.5:2
+       sys-libs/zlib:=
+       >=x11-libs/gdk-pixbuf-2.36.5:2
+       >=x11-libs/gtk+-3.16.0:3[introspection?]
+       gnome-base/gsettings-desktop-schemas
+       >=x11-libs/cairo-1.10:=
+       >=app-text/poppler-0.33[cairo]
+       >=app-arch/libarchive-3.2.0
+       djvu? ( >=app-text/djvu-3.5.22:= )
+       dvi? (
+               virtual/tex-base
+               dev-libs/kpathsea:=
+               t1lib? ( >=media-libs/t1lib-5:= ) )
+       gstreamer? (
+               media-libs/gstreamer:1.0
+               media-libs/gst-plugins-base:1.0
+               media-libs/gst-plugins-good:1.0 )
+       gnome? ( gnome-base/gnome-desktop:3= )
+       gnome-keyring? ( >=app-crypt/libsecret-0.5 )
+       introspection? ( >=dev-libs/gobject-introspection-1:= )
+       nautilus? ( >=gnome-base/nautilus-2.91.4[introspection?] )
+       postscript? ( >=app-text/libspectre-0.2:= )
+       tiff? ( >=media-libs/tiff-3.6:0= )
+       xps? ( >=app-text/libgxps-0.2.1:= )
+"
+RDEPEND="${COMMON_DEPEND}
+       gnome-base/gvfs
+       gnome-base/librsvg
+       || (
+               >=x11-themes/adwaita-icon-theme-2.17.1
+               >=x11-themes/hicolor-icon-theme-0.10 )
+"
+DEPEND="${COMMON_DEPEND}
+       app-text/docbook-xml-dtd:4.3
+       dev-util/gdbus-codegen
+       dev-util/glib-utils
+       >=dev-util/gtk-doc-am-1.13
+       >=dev-util/intltool-0.35
+       dev-util/itstool
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+# eautoreconf needs:
+#  app-text/yelp-tools
+
+src_prepare() {
+       gnome2_src_prepare
+
+       # Do not depend on adwaita-icon-theme, bug #326855, #391859
+       # https://bugs.freedesktop.org/show_bug.cgi?id=29942
+       sed -e 's/adwaita-icon-theme >= $ADWAITA_ICON_THEME_REQUIRED//g' \
+               -i configure || die "sed failed"
+}
+
+src_configure() {
+       gnome2_src_configure \
+               --disable-static \
+               --enable-pdf \
+               --enable-comics \
+               --enable-thumbnailer \
+               --with-platform=gnome \
+               --enable-dbus \
+               $(use_enable djvu) \
+               $(use_enable dvi) \
+               $(use_enable gstreamer multimedia) \
+               $(use_enable gnome libgnome-desktop) \
+               $(use_with gnome-keyring keyring) \
+               $(use_enable introspection) \
+               $(use_enable nautilus) \
+               $(use_enable nsplugin browser-plugin) \
+               $(use_enable postscript ps) \
+               $(use_enable t1lib) \
+               $(use_enable tiff) \
+               $(use_enable xps) \
+               
BROWSER_PLUGIN_DIR="${EPREFIX}"/usr/$(get_libdir)/nsbrowser/plugins \
+               --with-systemduserunitdir="$(systemd_get_userunitdir)"
+}

Reply via email to